import { GraphhopperGeorouter } from '../../adapters/secondaries/graphhopper-georouter';

describe('Graphhopper Georouter', () => {
  it('should be defined', () => {
    const graphhopperGeorouter: GraphhopperGeorouter = new GraphhopperGeorouter(
      'http://localhost',
    );
    expect(graphhopperGeorouter).toBeDefined();
  });
  it('should throw an exception when calling route', () => {
    const graphhopperGeorouter: GraphhopperGeorouter = new GraphhopperGeorouter(
      'http://localhost',
    );
    expect(() =>
      graphhopperGeorouter.route([], {
        withDistance: false,
        withPoints: false,
        withTime: false,
      }),
    ).toThrow();
  });
});
